%global modulename is-ci

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-is-ci
Version:        1.2.1
Release:        1%{?dist}
Summary:        Detect if the current environment is a CI server

License:        MIT
URL:            https://github.com/watson/is-ci
Source0:        https://registry.npmjs.org/is-ci/-/is-ci-1.2.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(ci-info) >= 1.5.0 with npmlib(ci-info) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Detect if the current environment is a CI server

%package 1.2.1
Summary:        Detect if the current environment is a CI server


%description 1.2.1
Detect if the current environment is a CI server

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin.js %{buildroot}/%{_bindir}/is-ci


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{_bindir}/is-ci
%{nodejs_dir}/%{modulename}

%files 1.2.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.2.1-1
- Package automatically generated by npm2srpm
